name: Bug Report
description: File a bug report
title: "[Bug]: "
labels: ["bug"]
assignees:
  - Griefed
body:
  - type: markdown
    attributes:
      value: |
        Thanks for taking the time to fill out this bug report!
  - type: textarea
    id: what-happened
    attributes:
      label: What happened?
      description: Describe, in detail, what happened.
      placeholder: Tell us what you see!
      value: "Detailed explanation on what happened goes here!"
    validations:
      required: true
  - type: textarea
    id: expected
    attributes:
      label: What did you expect to happen?
      description: Describe, in detail, what you expected to happen.
      placeholder: Tell us what you wanted to see!
      value: "Detailed explanation on what you expected goes here!"
    validations:
      required: true
  - type: textarea
    id: version
    attributes:
      label: Version
      description: What version of our software are you running?
      value: "What version of our software are you running?"
    validations:
      required: true
  # IF QUASAR PROJECT
#  - type: dropdown
#    id: browsers
#    attributes:
#      label: In which browsers did you encounter this bug?
#      multiple: true
#      options:
#        - Firefox
#        - Chrome
#        - Safari
#        - Opera
#        - Microsoft Edge
#    validations:
#      required: false
  - type: textarea
    id: logs
    attributes:
      label: Relevant log output
      description: Please copy and paste any relevant log output. This will be automatically formatted into code, so no need for backticks.
      render: shell
  - type: textarea
    id: anything-else
    attributes:
      label: Anything else you would like to add?
      description: Any additional info you would like to add?
      placeholder: Tell me!
      value: "Tell me!"
    validations:
      required: false